Subject: Re: [hrpc] Protocol design and political goals: the Gemini project

From: Vittorio Bertola <[email-masked]>
Date: Tue, 1 Dec 2020 10:55:06 +0100 (CET)

> Il 30/11/2020 18:49 Stephane Bortzmeyer <[email-masked]> ha scritto:
> 
>  
> This is not an IETF project but it's an interesting project since it
> has explicit political goals (distributing information without
> tracking, and with the ability to have very simple clients, instead of
> humongus Web browwers).
> 
> Creating a protocol where it is *difficult* to add bloat and
> surveillance features is not easy. Gemini is *not* extensible and it
> is a feature, not a bug.
> 
> Home page :
> https://gemini.circumlunar.space/
> 
> IETFers will certainly prefer to read the specification:
> https://gemini.circumlunar.space/docs/specification.html
> 
> If you want to jump on your keyboard to criticize, I suggest to read
> the FAQ first, it may addresses your criticism:
> https://gemini.circumlunar.space/docs/faq.html

This is an extremely cool and fascinating idea, thanks for posting it. Basically, it is "could we start again with the Web as if we were in 1995, but making consolidation and targeted advertising impossible from the beginning". 

However, I think that the set of features is way too limited; I appreciate the reasons exposed in the FAQ, but I started thinking at how to make Wikipedia available over this protocol, and you can't, because you can't have inline links and images, and (according to the FAQ) you can't even extend the protocol to add support for them. Let's not mention Openstreetmap or other community services that could replace the "evil" but unavoidable surveillance capitalism offers. If it can't meet at least the basic ordinary needs of an Internet user, Gemini is likely to remain a protocol for geeks, hackers and underground content, and not have any practical impact :-(

-- 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy